%define origname opencdk

Name: lib%origname
Version: 0.5.4
Release: alt2

%def_disable static
%def_enable check

Summary: Open Crypto Development Kit
Group: System/Libraries
License: GPL
URL: http://www.gnutls.org/

%define pkgdocdir %_docdir/%name-%version

%define gcrypt_ver 1.1.43

Requires: libgcrypt >= %gcrypt_ver

Source: ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/%origname/%origname-%version.tar.bz2

BuildRequires: libgcrypt-devel >= %gcrypt_ver
BuildRequires: libgpg-error-devel zlib-devel

%description
This library provides basic parts of the OpenPGP message format.

%package devel
Summary: Development files for OpenCDK
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers and other files needed to develop applications using
the OpenCDK library

%package devel-static
Summary: Static build of 
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static build of the OpenCDK library.

%prep
%setup -q -n %origname-%version

%build
%__subst '/include.*\.m4/d' acinclude.m4
autoreconf -isfv
%configure %{subst_enable static}
%make_build

%if_enabled check
%make check
%endif

%install
%makeinstall

# GnuTLS needs this
%__mkdir_p $RPM_BUILD_ROOT%_datadir/aclocal
%__install -p -m644 src/opencdk.m4 $RPM_BUILD_ROOT%_datadir/aclocal/

%__install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
%__install -p -m644 AUTHORS ChangeLog NEWS README THANKS TODO \
	$RPM_BUILD_ROOT%pkgdocdir/
%__ln_s %_licensedir/GPL-2 $RPM_BUILD_ROOT%pkgdocdir/COPYING
%__install -p -m644 doc/DETAILS doc/*.html \
	$RPM_BUILD_ROOT%pkgdocdir/

%post   -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%dir %pkgdocdir
%pkgdocdir/[A-CE-Z]*

%files devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*
%pkgdocdir/DETAILS
%pkgdocdir/*.html

%if_enabled static
%files devel-static
%_libdir/*.a
%endif	# enabled static

%changelog
* Sat Mar 27 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.4-alt2
- Rebuilt against libgcrypt 1.1.93

* Sat Mar 06 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.4-alt1
- New upstream release
- Fixes to build with new autotools

* Thu Jan 29 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.3-alt1
- Initial release
